For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList actions
      • POSTCreate an action
      • POSTInitialize a custom action
      • PUTUpdate an action
      • DELDelete an action
      • GETGet an action
      • POSTAttach an action
      • POSTDetach an action
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIActions

Detach an action

||View as Markdown|
POST
/actions/detach
POST
/v2/actions/detach
$curl -X POST https://api.synthflow.ai/v2/actions/detach \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model_id": "1726005822670x239735712159542050",
> "actions": [
> "1725993202345x493030233644494700"
> ]
>}'
1{
2 "status": "success",
3 "response": {}
4}
Was this page helpful?
Previous

Get MCP configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
model_idstringRequired
The ID of the agent you want to detach an action from.
actionslist of stringsOptional
To find an action's ID, go to its page in your Synthflow dashboard.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error